Summary:	X.org video driver for ARK Logic video adapters
Summary(pl.UTF-8):	Sterownik obrazu X.org do kart graficznych ARK Logic
Name:		xorg-driver-video-ark
Version:	0.7.5
Release:	12%{?tld}
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-ark-%{version}.tar.bz2
# Source0-md5:	2e9809b5ae3f01a56be0d6e5441da03c
Patch0:		mibstore.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.12.901
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
%{?requires_xorg_xserver_videodrv}
Requires:	xorg-xserver-server >= 1.0.99.901
Requires:	xorg-lib-libpciaccess >= 0.12.901
Provides:	xorg-driver-video
Obsoletes:	X11-driver-ark < 1:7.0.0
Obsoletes:	XFree86-driver-ark < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for video adapters based on ARK Logic chipset.

%description -l pl.UTF-8
Sterownik obrazu X.org do kart graficznych opartych na układzie ARK
Logic.

%prep
%setup -q -n xf86-video-ark-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/ark_drv.so
#%{_mandir}/man4/ark.4*
%changelog
* Wed Apr 06 2022 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-driver-video-ark.git;a=log;h=master

* Sun Oct 31 2021 Jan Rękorajski <baggins@pld-linux.org> dc9dead
- rebuil with xorg-xserver-server 21.1.0

* Mon May 14 2018 Jan Rękorajski <baggins@pld-linux.org> 42e0e08
- release 11 (by relup.sh)

* Sun Nov 20 2016 Jan Rękorajski <baggins@pld-linux.org> 8c51e5e
- release 10 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> a9c5036
- release 9 (by relup.sh)

* Thu Feb 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 84b6dcd
- due to xserver 1.17
- release 8 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 10a8b5f
- xserver rebuild
- release 7 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> ad7fd51
- xserver rebuild
- release 6 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> c96c494
- release 5 (by relup.sh)

* Sun Apr 07 2013 Jan Rękorajski <baggins@pld-linux.org> 27503eb
- fix building with xserver 1.14
- rel 4

* Mon Mar 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 8b330b5
- release 3 (by relup.sh)

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 728cc2a
- release 2 (by relup.sh)

* Thu Jul 26 2012 Jakub Bogusz <qboosh@pld-linux.org> 0b995b0
- updated to 0.7.5

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 50e5a2b
- release 2

* Sun Mar 04 2012 Jakub Bogusz <qboosh@pld-linux.org> 59c85d5
- updated to 0.7.4

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 4dd5b3d
- release 5

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> f5d43e9
- xorg-driver-video virtual for video drivers
- release 4

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> cbd5837
- release 3

* Wed Nov 10 2010 shadzik <shadzik@pld-linux.org> 9bebfeb
- rel up

* Sun Aug 29 2010 Jakub Bogusz <qboosh@pld-linux.org> 539cfbf
- use requires_xorg_* macros in a way which allows to check rpm-build-macros BR first

* Sun Aug 29 2010 Jakub Bogusz <qboosh@pld-linux.org> 0c1946a
- added README to docs
- updated deps

